Subject: Re: [bitcoin-dev] Bitcoin covenants are inevitable

From: alicexbt <[email-masked]>
Date: Sun, 12 Jun 2022 19:16:49 +0000

Hi Peter,

> Only because the block reward goes away. If it was made to continue
> indefinitely - most likely with an inflation hard fork - demand for block space
> would not be critical to Bitcoin's security.

I am not completely against your proposal although 100% sure this will not have "consensus" to be implemented. I think if bitcoin doesn't have enough demand for block space, it should die. I will be sad if bitcoin doesn't exist but it should be a lesson for all the people opposing soft forks based on drama and politics instead of technical review.

I don't see anything wrong with users paying 100x fees for opening and closing LN channels.

/dev/fd0

Sent with Proton Mail secure email.

------- Original Message -------
On Sunday, June 12th, 2022 at 9:06 AM, Peter Todd via bitcoin-dev <[email-masked]> wrote:

> On Mon, Jun 06, 2022 at 09:02:18AM -0400, Erik Aronesty via bitcoin-dev wrote:
>
> > Maintaining the security of the protocol is squarely the responsibility of
> > the Bitcoin software and the core developers
> >
> > Continued demand for block space is critical for Bitcoin's security.
>
>
> Only because the block reward goes away. If it was made to continue
> indefinitely - most likely with an inflation hard fork - demand for block space
> would not be critical to Bitcoin's security.
>
> --
> https://petertodd.org 'peter'[:-1]@petertodd.org
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev